<?php 
session_start();
if (isset($_REQUEST['id'])){
		/* Connect To Database*/
		require_once ("../../config/db.php");
		require_once ("../../config/conexion.php");
		require_once ("../../libraries/inventory.php");//Contiene funcion que controla stock en el inventario
		//Inicia Control de Permisos
		include("../../config/permisos.php");
		$user_id = $_SESSION['user_id'];
		get_cadena($user_id);
		$modulo="Compras";
		permisos($modulo,$cadena_permisos);
		//Finaliza Control de Permisos
		
		$id=$_REQUEST["id"];
		$purchase_id=intval($id);
		if ($permisos_eliminar==1){//Si cuenta por los permisos bien
			$sql=mysqli_query($con, "select * from products, purchase_product where products.product_id=purchase_product.product_id and purchase_product.purchase_id='$purchase_id'");
			while ($rw=mysqli_fetch_array($sql)){
				$purchase_product_id=$rw['purchase_product_id'];
				$product_id=$rw['product_id'];
				$qty=$rw['qty'];
				remove_inventory($product_id,$qty);//Regresa los productos al inventario
				$delete1=mysqli_query($con,"delete from purchase_product where purchase_product_id='".$purchase_product_id."'");//Elimina el item de la tabla purchase_product
			}
			if($delete=mysqli_query($con, "DELETE FROM purchases WHERE purchase_id='".$purchase_id."'") ){
						$messages[]="<b>Bien hecho!</b> Datos eliminados satisfactoriamente.";	
					}else{
						$errors[]="Error al eliminar los datos ".mysqli_error($con);					
					}
			
		} else {//No cuenta con los permisos
			$errors[]="No cuentas con los permisos necesario para acceder a este módulo";
			
		}
		
		
		if (isset($errors)){
			
			?>
			<div class="alert alert-danger" role="alert">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
					<strong>Error!</strong> 
					<?php
						foreach ($errors as $error) {
								echo $error;
							}
						?>
			</div>
			<?php
			}
			if (isset($messages)){
				
				?>
				<div class="alert alert-success" role="alert">
						<button type="button" class="close" data-dismiss="alert">&times;</button>
						<strong>¡Bien hecho!</strong>
						<?php
							foreach ($messages as $message) {
									echo $message;
								}
							?>
				</div>
				<?php
			}
	}
?>